@ECHO OFF
CLS

setlocal disableDelayedExpansion
set q=^"

set _lang=

:_main_hu
set _menu_lang_1=Alapertelmezett program  (Notepad)
set _menu_lang_2=Adjon meg egy masik programot
set _menu_lang_3=English
set _menu_lang_4=Kilepes
set _menu_lang_5=Irja be melyiket valasztja
set _path_lang=A program utvonalanak beallitasa
set _lang=hu
goto :_main

:_main_en
set _menu_lang_1=Default program  (Notepad)
set _menu_lang_2=Please specify the right program
set _menu_lang_3=Hungarian
set _menu_lang_4=Quit
set _menu_lang_5=Enter your choice
set _path_lang=Please specify the right path
set _lang=en

:_main
set _filepath=c:\windows\system32\notepad.exe
CLS
echo(
echo(
call :c 0F "	****** **    "&call :c 0c "**"&call :c 0f "       **     ****           **" /n
call :c 0F "	****** **    "&call :c 0c "**"&call :c 0f "       **     *****          **" /n
call :c 0F "	  **   **             **     ** **          **" /n
call :c 0F "	  **   ****  ** ****  **  ** ** **  ***   ****" /n
call :c 0F "	  **   ***** ** ***** **  ** ** ** ** ** ** **" /n
call :c 0F "	  **   ** ** ** ** ** ** **  ***** ** ** ** **" /n
call :c 0F "	  **   ** ** ** ** ** ** **  ****    *** ** **" /n
call :c 0F "	  **   ** ** ** ** ** *****  **     **** ** **" /n
call :c 0F "	  **   ** ** ** ** ** ** **  **    ** ** ** **" /n
call :c 0F "	  **   ** ** ** ** ** **  ** **    ** ** ** **" /n
call :c 0F "	  **   ** ** ** ** ** **  ** **    ** ** ** **" /n
call :c 0F "	  **   ** ** ** ** ** **  ** **     ****  ****" /n
echo(
echo(
echo(  ThinkVantage Button Hotkey v0.3 (Windows 10 x86-x64) - RoboGuru 
echo(
echo(    1) %_menu_lang_1% 
echo(
echo(    2) %_menu_lang_2%
echo(
echo(    3) %_menu_lang_3%
echo(     
echo(    Q) %_menu_lang_4%
echo(
echo(
set _menu=
set /p _menu=  %_menu_lang_5%:
if  "%_menu%" == "1" goto _write
if  "%_menu%" == "2" goto _setpath
if  "%_menu%" == "3" goto _langset
if /I "%_menu%" == "q" goto _end_quit
exit /b
goto :_main

:_langset
IF  "%_lang%" == "hu" (
    goto _main_en
) ELSE (
    IF "%_lang%" == "en" (
    goto _main_hu
)
)

:c
setlocal enableDelayedExpansion
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:colorPrint Color  Str  [/n]
setlocal
set "s=%~2"
call :colorPrintVar %1 s %3
exit /b

:colorPrintVar  Color  StrVar  [/n]
if not defined DEL call :initColorPrint
setlocal enableDelayedExpansion
pushd .
':
cd \
set "s=!%~2!"
:: The single blank line within the following IN() clause is critical - DO NOT REMOVE
for %%n in (^"^

^") do (
  set "s=!s:\=%%~n\%%~n!"
  set "s=!s:/=%%~n/%%~n!"
  set "s=!s::=%%~n:%%~n!"
)
for /f delims^=^ eol^= %%s in ("!s!") do (
  if "!" equ "" setlocal disableDelayedExpansion
  if %%s==\ (
    findstr /a:%~1 "." "\'" nul
    <nul set /p "=%DEL%%DEL%%DEL%"
  ) else if %%s==/ (
    findstr /a:%~1 "." "/.\'" nul
    <nul set /p "=%DEL%%DEL%%DEL%%DEL%%DEL%"
  ) else (
    >colorPrint.txt (echo %%s\..\')
    findstr /a:%~1 /f:colorPrint.txt "."
    <nul set /p "=%DEL%%DEL%%DEL%%DEL%%DEL%%DEL%%DEL%"
  )
)
if /i "%~3"=="/n" echo(
popd
exit /b

:initColorPrint
for /f %%A in ('"prompt $H&for %%B in (1) do rem"') do set "DEL=%%A %%A"
<nul >"%temp%\'" set /p "=."
subst ': "%temp%" >nul
exit /b

:cleanupColorPrint
2>nul del "%temp%\'"
2>nul del "%temp%\colorPrint.txt"
>nul subst ': /d
exit /b


:_setpath
set /p _filepath= %_path_lang% (c:\windows\system32\notepad.exe):
if not "%_filepath%" == "" goto _write
goto :_main

:_write
IF NOT EXIST %SystemRoot%\SysWOW64 (
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\8001 /v File /t REG_SZ /d "%_filepath%" /f
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\8001 /v Parameters /t REG_SZ /d "" /f
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\Class\01\18 /v File /t REG_SZ /d "%_filepath%" /f
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\Class\01\18 /v Parameters /t REG_SZ /d "" /f
) 
IF EXIST %SystemRoot%\SysWOW64 (
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\8001 /reg:64 /v File /t REG_SZ /d "%_filepath%" /f
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\8001 /reg:64 /v Parameters /t REG_SZ /d "" /f
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\Class\01\18 /reg:64 /v File /t REG_SZ /d "%_filepath%" /f
reg add HKEY_LOCAL_MACHINE\SOFTWARE\IBM\TPHOTKEY\Class\01\18 /reg:64 /v Parameters /t REG_SZ /d "" /f
)
pause


:_end_quit
EXIT